mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.IDictionary System.Runtime.InteropServices.ComVisible(true)

is the base class for and .

and can be used as the base classes for channels and channel sinks that provide named properties.

handles the complex task of asking a channel object for its properties.

This class makes a link demand and an inheritance demand at the class level. A is thrown when either the immediate caller or the derived class does not have infrastructure permission. For details about security demands, see Link Demands and Inheritance Demands.

Provides a base implementation of a channel object that exposes a dictionary interface to its properties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method must not be implemented because it does not apply to the way is being used in this case, and because returns true.

  Throws a .

  The key that is associated with the object in the parameter. The value to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method must not be implemented because it does not apply to the way is being used in this case, and because returns true.

  Throws a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns a value that indicates whether the channel object contains a property that is associated with the specified key.

  true if the channel object contains a property associated with the specified key; otherwise, false.

  The key of the property to look for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Throws a .

  The array to copy the properties to. The index at which to begin copying.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of properties associated with the channel object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IDictionaryEnumerator To be added

  Returns a that enumerates over all the properties associated with the channel object.

  A that enumerates over all the properties associated with the channel object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  The current implementation of always returns true.

  Gets a value that indicates whether the number of properties that can be entered into the channel object is fixed.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  The current implementation of always returns false.

  Gets a value that indicates whether the collection of properties in the channel object is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  The current implementation of always returns false.

  Gets a value that indicates whether the dictionary of channel object properties is synchronized.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection To be added: an object of type 'Collections.ICollection' To be added

  When overridden in a derived class, gets a of keys that the channel object properties are associated with.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IDictionary To be added: an object of type 'Collections.IDictionary'

  Channels properties are used to configure the channel at run time.

  Gets a of the channel properties associated with the channel object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method must not be implemented because it does not apply to the way is being used in this case, and because returns true.

  Throws a .

  The key of the object to be removed.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object'

  The current implementation of returns a reference to the current instance of .

  Gets an object that is used to synchronize access to the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns a that enumerates over all the properties that are associated with the channel object.

  A that enumerates over all the properties that are associated with the channel object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection To be added: an object of type 'Collections.ICollection' To be added

  Gets a of the values of the properties associated with the channel object.